/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __operate_OperatorPlugin_h__
#define __operate_OperatorPlugin_h__

namespace fe
{

/**************************************************************************//**
    @brief Plugin back reference for OperatorSurfaceI

	@ingroup operate
*//***************************************************************************/
class FE_DL_EXPORT OperatorPlugin
{
	public:

virtual	void	dirty(void)													=0;

virtual	BWORD	interrupted(void)											=0;
};

} // namespace

#endif /* __operate_OperatorPlugin_h__ */
